Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.logging
Class LogPriority

    java.lang.Object
      |
      +--org.apache.log4j.Priority
            |
            +--com.bea.logging.LogPriority

public class LogPriority
extends org.apache.log4j.Priority

Class LogPriority extends org.apache.log4j.Priority for the purpose of wrapping the underlying implementation, and adding the value AUDIT to the default set of priorities

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `AUDIT_INT`

Fields inherited from class org.apache.log4j.Priority
`DEBUG, DEBUG_INT, ERROR, ERROR_INT, FATAL, FATAL_INT, INFO, INFO_INT, WARN, WARN_INT`

Constructor Summary
`protected` | `LogPriority(int level, java.lang.String strLevel, int syslogEquivalent)` Constructor for the LogPriority class.

Method Summary
`static org.apache.log4j.Priority` | `intToPriority(int i)` Converts an integer into a Priority.
`static org.apache.log4j.Priority` | `strToPriority(java.lang.String sArg)` Converts a String into a Priority.

Methods inherited from class org.apache.log4j.Priority
`getAllPossiblePriorities, getSyslogEquivalent, isGreaterOrEqual, toInt, toPriority, toPriority, toPriority, toPriority, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUDIT_INT

    public static final int AUDIT_INT

Constructor Detail

### LogPriority

    protected LogPriority(int level,
                          java.lang.String strLevel,
                          int syslogEquivalent)

  Constructor for the LogPriority class.

  Parameters:
    `value` - Should be one of the priority constants.

Method Detail

### strToPriority

    public static org.apache.log4j.Priority strToPriority(java.lang.String sArg)

  Converts a String into a Priority. This method is used internally in configuration files.

  If the argument is not one of "DEBUG", "INFO", ..., "EMERG" then the the default value Priority.DEBUG is returned by the call to the superclass' method.

### intToPriority

    public static org.apache.log4j.Priority intToPriority(int i)
                                                   throws java.lang.IllegalArgumentException

  Converts an integer into a Priority.

  If the argument is not one of the static ints above, then the the default value `Priority.DEBUG_INT` is returned by the call to the superclass' method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)